Last Comment Bug 770056 - tab bar background does not change when window goes inactive (background/unfocused window title bars look wrong)
: tab bar background does not change when window goes inactive (background/unfo...
Status: RESOLVED FIXED
: regression
Product: Core
Classification: Components
Component: Layout (show other bugs)
: Trunk
: x86_64 Mac OS X
: -- normal with 3 votes (vote)
: mozilla17
Assigned To: Matt Woodrow (:mattwoodrow)
:
:
Mentors:
: 770040 770081 783191 783363 783664 783722 784100 784115 (view as bug list)
Depends on:
Blocks: dlbi
  Show dependency treegraph
 
Reported: 2012-07-01 14:36 PDT by Stuart Swindells
Modified: 2014-01-10 10:41 PST (History)
26 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-
+
verified


Attachments
Screenshot of tabbar showing regression (66.07 KB, image/jpeg)
2012-07-01 14:36 PDT, Stuart Swindells
no flags Details
Screenshot of DownThemAll window (65.57 KB, image/png)
2012-08-15 07:39 PDT, d.a.
no flags Details
Remove ![NSView focusView] conditions (2.43 KB, patch)
2012-08-16 13:20 PDT, Matt Woodrow (:mattwoodrow)
mstange: review+
Details | Diff | Splinter Review

Description Stuart Swindells 2012-07-01 14:36:35 PDT
Created attachment 638228 [details]
Screenshot of tabbar showing regression

When the window is inactive, the tab bar background does not change to match the title and navigation toolbars.

Courtesy of hg bisect:

The first bad revision is:
changeset:   98008:bd0a91621ea9
user:        Matt Woodrow <mwoodrow@mozilla.com>
date:        Sat Jun 30 15:06:10 2012 +1200
summary:     Bug 539356 - Part 8b - Move painting of retained layers to the view manager flush, and only composite on the paint event. r=roc
Comment 1 Loic 2012-07-02 05:12:42 PDT
*** Bug 770040 has been marked as a duplicate of this bug. ***
Comment 2 Dão Gottwald [:dao] 2012-07-02 15:54:14 PDT
*** Bug 770081 has been marked as a duplicate of this bug. ***
Comment 3 Alex Keybl [:akeybl] 2012-07-13 16:47:50 PDT
More fallout from bug 539356.
Comment 4 Alex Keybl [:akeybl] 2012-07-13 16:56:52 PDT
DLBI may not land in 16 though, so re-noming while we figure that out.
Comment 5 Alex Keybl [:akeybl] 2012-07-24 16:29:43 PDT
DLBI appears to be targeted for 17 at this point. Please set tracking-firefox16 to ? if you're still running into this on Aurora 16.
Comment 6 d.a. 2012-08-15 07:39:03 PDT
Created attachment 652098 [details]
Screenshot of DownThemAll window

This bug appeared again with the relanding of parts of DLBI. It appears that whatever is directly below the title bar is rendered incorrectly. 

I have my tabs set to be low the navigation bar and for me, the navigation bar keeps the active state while the tab bar becomes inactive.
Comment 7 Dão Gottwald [:dao] 2012-08-16 01:12:23 PDT
*** Bug 783191 has been marked as a duplicate of this bug. ***
Comment 8 Markus Stange [:mstange] 2012-08-16 08:37:53 PDT
@Matt: These "|| ![NSView focusView]" conditions are responsible for this and can be removed: http://mxr.mozilla.org/mozilla-central/search?string=![NSView+focusView]

I added them so that tab snapshots captured in inactive windows have active-looking toolbars in them, but that behavior was never very sane and can go.
Comment 9 Matt Woodrow (:mattwoodrow) 2012-08-16 13:20:19 PDT
Created attachment 652538 [details] [diff] [review]
Remove ![NSView focusView] conditions

Any idea why my patches would have affected this?
Comment 10 Markus Stange [:mstange] 2012-08-17 01:35:18 PDT
Comment on attachment 652538 [details] [diff] [review]
Remove ![NSView focusView] conditions

Before your patches, painting toolbars only happened inside a call to drawRect. The callers of drawRect (somewhere in Cocoa) wrap that call in [view lockFocus] / [view unlockFocus], so [NSView focusView] was non-null during painting.
Comment 11 Dão Gottwald [:dao] 2012-08-17 01:39:40 PDT
*** Bug 783363 has been marked as a duplicate of this bug. ***
Comment 12 Markus Stange [:mstange] 2012-08-17 15:33:56 PDT
*** Bug 783664 has been marked as a duplicate of this bug. ***
Comment 13 Loic 2012-08-18 02:48:30 PDT
*** Bug 783722 has been marked as a duplicate of this bug. ***
Comment 14 Matt Woodrow (:mattwoodrow) 2012-08-20 03:01:58 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/6ee82ab0b116
Comment 15 Dão Gottwald [:dao] 2012-08-20 11:15:48 PDT
*** Bug 784100 has been marked as a duplicate of this bug. ***
Comment 16 Phil Ringnalda (:philor) 2012-08-20 12:15:33 PDT
*** Bug 784115 has been marked as a duplicate of this bug. ***
Comment 17 Ed Morley [:emorley] 2012-08-21 06:33:32 PDT
https://hg.mozilla.org/mozilla-central/rev/6ee82ab0b116
Comment 18 Benoit Girard (:BenWa) 2012-10-10 08:13:01 PDT
This still happens with the error console, download manager :(.
Comment 19 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-10-10 08:48:00 PDT
Can you file a new bug, and attach a screenshot/describe in more detail?
Comment 20 Manuela Muntean [Away] 2012-10-26 05:35:58 PDT
Problem solved in the latest beta : Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:17.0) Gecko/17.0 Firefox/17.0 , Build ID: 20121023124120.
Comment 21 Tracy Walker [:tracy] 2014-01-10 10:41:50 PST
mass remove verifyme requests greater than 4 months old

Note You need to log in before you can comment on or make changes to this bug.